io.agora.rtc

## Class AgoraVideoFrameSender

- java.lang.Object
- - io.agora.rtc.AgoraVideoFrameSender

-     class AgoraVideoFrameSender
      extends java.lang.Object

  Wrapper for sending video frames.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr` Native pointer to the video frame sender instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraVideoFrameSender(long cptr)` Constructs a video frame sender.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the video frame sender
    `private void` | `nativeDestroy(long cptr)` Releases the native video frame sender handle.
    `private int` | `nativeSend(long cptr, ExternalVideoFrame frame)` Sends a video frame natively.
    `int` | `sendVideoFrame(ExternalVideoFrame frame)` Sends a video frame to the Agora server

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

      Native pointer to the video frame sender instance.

  - ### Constructor Detail

    - #### AgoraVideoFrameSender

          public AgoraVideoFrameSender(long cptr)

      Constructs a video frame sender.
      Parameters:
        `cptr` - Native pointer to the sender instance

  - ### Method Detail

    - #### sendVideoFrame

          public int sendVideoFrame(ExternalVideoFrame frame)

      Sends a video frame to the Agora server
      Parameters:
        `frame` - The video frame to send
      Returns:
        The result of sending the video frame

    - #### destroy

          public void destroy()

      Destroys the video frame sender

    - #### nativeDestroy

          private void nativeDestroy(long cptr)

      Releases the native video frame sender handle.
      Parameters:
        `cptr` - Native pointer to the sender instance

    - #### nativeSend

          private int nativeSend(long cptr,
                                 ExternalVideoFrame frame)

      Sends a video frame natively.
      Parameters:
        `cptr` - Native pointer to the sender instance
        `frame` - External video frame to send
      Returns:
        0 on success, <0 on failure